Loading...
Searching...
No Matches
gfanlib.cc File Reference
`#include "kernel/mod2.h"`
`#include "bbcone.h"`
`#include "bbfan.h"`
`#include "bbpolytope.h"`
`#include "tropical.h"`
`#include "Singular/ipid.h"`
`#include "Singular/mod_lib.h"`

Go to the source code of this file.

## Functions

int SI_MOD_INIT | gfanlib (SModulFunctions *p)

## Function Documentation

## gfanlib()

int SI_MOD_INIT gfanlib | ( | SModulFunctions * | p | ) |

Definition at line 19 of file gfanlib.cc.

{
gfan::initializeCddlibIfRequired();
bbcone_setup(p);
bbfan_setup(p);
bbpolytope_setup(p);
tropical_setup(p);
return MAX_TOK;
}
bbcone_setup
void bbcone_setup(SModulFunctions *p)
Definition bbcone.cc:2101
bbfan_setup
void bbfan_setup(SModulFunctions *p)
Definition bbfan.cc:1082
bbpolytope_setup
void bbpolytope_setup(SModulFunctions *p)
Definition bbpolytope.cc:549
p
int p
Definition cfModGcd.cc:4086
MAX_TOK
@ MAX_TOK
Definition tok.h:220
tropical_setup
void tropical_setup(SModulFunctions *p)
Definition tropical.cc:441